MetricRange (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricRange class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.visibility
Class MetricRange

    java.lang.Object
      org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricRange

    public class MetricRange

extends java.lang.Object

Field Summary
`static long` | `SHIFT_RANGE`

Constructor Summary
`MetricRange()`
`MetricRange(java.lang.Long b, java.lang.Long e)`

Method Summary
`java.lang.Long` | `getBegin()`
`java.lang.Long` | `getEnd()`
`java.lang.String` | `getFormattedRange()` Return a date-formatted representation of the range.
`void` | `setBegin(java.lang.Long l)`
`void` | `setEnd(java.lang.Long l)`
`void` | `shiftNow()` If the end date is after "now", reset the end to "now" and recalculate the range.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SHIFT_RANGE

    public static final long SHIFT_RANGE

See Also:
  Constant Field Values

Constructor Detail

### MetricRange

    public MetricRange()

### MetricRange

    public MetricRange(java.lang.Long b,
                       java.lang.Long e)

Method Detail

### getBegin

    public java.lang.Long getBegin()

### setBegin

    public void setBegin(java.lang.Long l)

### getEnd

    public java.lang.Long getEnd()

### setEnd

    public void setEnd(java.lang.Long l)

### shiftNow

    public void shiftNow()

  If the end date is after "now", reset the end to "now" and recalculate the range.

### getFormattedRange

    public java.lang.String getFormattedRange()

  Return a date-formatted representation of the range.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.